> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /fiverr/gigs

> Get Fiverr (fiverr.com) gig details by 'username/gig-slug' or full gig URL

**Price:** 20 credits

**⚠️ Common errors:** 412: Gig not found



## OpenAPI

````yaml /openapi/jobs.json post /api/fiverr/gigs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/fiverr/gigs:
    post:
      tags:
        - /fiverr
      summary: /fiverr/gigs
      description: >-
        Get Fiverr (fiverr.com) gig details by 'username/gig-slug' or full gig
        URL


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Gig not found
      operationId: __api_fiverr_gigs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FiverrGigsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FiverrGig'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FiverrGigsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        locale:
          $ref: '#/components/schemas/FiverrLocale'
          default: en
        currency:
          $ref: '#/components/schemas/FiverrCurrency'
          default: USD
        gig:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|(?:www\.|[a-z]{2}\.)?fiverr\.com/[^\s]+|[A-Za-z0-9][A-Za-z0-9_-]*/[^\s/?#]+)$
      type: object
      required:
        - gig
    FiverrGig:
      properties:
        '@type':
          type: string
          default: FiverrGig
        id:
          type: integer
        gig_title:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        category_alias:
          anyOf:
            - type: string
            - type: 'null'
        sub_category_id:
          anyOf:
            - type: integer
            - type: 'null'
        sub_category_name:
          anyOf:
            - type: string
            - type: 'null'
        sub_category_alias:
          anyOf:
            - type: string
            - type: 'null'
        nested_sub_category_id:
          anyOf:
            - type: integer
            - type: 'null'
        nested_sub_category_alias:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        price_from:
          anyOf:
            - type: number
            - type: 'null'
        price_to:
          anyOf:
            - type: number
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        order_in_queue_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_pro:
          anyOf:
            - type: boolean
            - type: 'null'
        is_handpicked:
          anyOf:
            - type: boolean
            - type: 'null'
        communication_rating:
          anyOf:
            - type: number
            - type: 'null'
        quality_rating:
          anyOf:
            - type: number
            - type: 'null'
        value_rating:
          anyOf:
            - type: number
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        videos:
          items:
            type: string
          type: array
          default: []
        packages:
          items:
            $ref: '#/components/schemas/FiverrPackage'
          type: array
          default: []
        attributes:
          items:
            $ref: '#/components/schemas/FiverrGigAttribute'
          type: array
          default: []
        faq:
          items:
            $ref: '#/components/schemas/FiverrFaq'
          type: array
          default: []
        tags:
          items:
            $ref: '#/components/schemas/FiverrGigTag'
          type: array
          default: []
        rating_breakdown:
          items:
            $ref: '#/components/schemas/FiverrRatingBreakdown'
          type: array
          default: []
        notable_clients:
          items:
            $ref: '#/components/schemas/FiverrNotableClient'
          type: array
          default: []
        ai_summary:
          items:
            type: string
          type: array
          default: []
        seller:
          anyOf:
            - $ref: '#/components/schemas/FiverrGigSeller'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FiverrLocale:
      type: string
      enum:
        - en
        - de
        - es
        - fr
        - it
        - nl
        - pt
    FiverrCurrency:
      type: string
      enum:
        - USD
        - EUR
        - GBP
        - AUD
        - CAD
        - ILS
        - BRL
        - HKD
        - SEK
        - NZD
        - SGD
        - CHF
        - ZAR
        - CNY
        - INR
        - MYR
        - MXN
        - PKR
        - PHP
        - TWD
        - THB
        - TRY
        - AED
    FiverrPackage:
      properties:
        '@type':
          type: string
          default: FiverrPackage
        id:
          anyOf:
            - type: integer
            - type: 'null'
        tier:
          anyOf:
            - type: string
            - type: 'null'
        package_title:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        duration_hours:
          anyOf:
            - type: integer
            - type: 'null'
        revision_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_unlimited_revisions:
          anyOf:
            - type: boolean
            - type: 'null'
        extra_fast_price:
          anyOf:
            - type: number
            - type: 'null'
        extra_fast_duration_hours:
          anyOf:
            - type: integer
            - type: 'null'
        features:
          items:
            $ref: '#/components/schemas/FiverrPackageFeature'
          type: array
          default: []
      type: object
    FiverrGigAttribute:
      properties:
        '@type':
          type: string
          default: FiverrGigAttribute
        name:
          type: string
        label:
          anyOf:
            - type: string
            - type: 'null'
        values:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    FiverrFaq:
      properties:
        '@type':
          type: string
          default: FiverrFaq
        question:
          type: string
        answer:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - question
    FiverrGigTag:
      properties:
        '@type':
          type: string
          default: FiverrGigTag
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    FiverrRatingBreakdown:
      properties:
        '@type':
          type: string
          default: FiverrRatingBreakdown
        stars:
          type: integer
        count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - stars
    FiverrNotableClient:
      properties:
        '@type':
          type: string
          default: FiverrNotableClient
        name:
          type: string
        website:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    FiverrGigSeller:
      properties:
        '@type':
          type: string
          default: FiverrGigSeller
        id:
          anyOf:
            - type: integer
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        level:
          anyOf:
            - type: string
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        response_time_hours:
          anyOf:
            - type: integer
            - type: 'null'
        member_since:
          anyOf:
            - type: integer
            - type: 'null'
        completed_order_count:
          anyOf:
            - type: integer
            - type: 'null'
        hourly_rate:
          anyOf:
            - type: number
            - type: 'null'
        is_pro:
          anyOf:
            - type: boolean
            - type: 'null'
        is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
        agency_alias:
          anyOf:
            - type: string
            - type: 'null'
        intro_video:
          anyOf:
            - type: string
            - type: 'null'
        pro_sub_category_ids:
          items:
            type: integer
          type: array
          default: []
        languages:
          items:
            $ref: '#/components/schemas/FiverrLanguage'
          type: array
          default: []
        skills:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    FiverrPackageFeature:
      properties:
        '@type':
          type: string
          default: FiverrPackageFeature
        name:
          type: string
        label:
          anyOf:
            - type: string
            - type: 'null'
        feature_type:
          anyOf:
            - type: string
            - type: 'null'
        included:
          anyOf:
            - type: boolean
            - type: 'null'
        value:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - name
    FiverrLanguage:
      properties:
        '@type':
          type: string
          default: FiverrLanguage
        code:
          type: string
        level:
          anyOf:
            - type: integer
            - type: 'null'
        proficiency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - code
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````